%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	WaveLAN plugin for the Xfce panel
Name:		xfce4-wavelan-plugin
Version:	0.6.1
Release:	%mkrel 1
Group:		Graphical desktop/Xfce
License:	BSD
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-wavelan-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.8

%description
A plugin for the Xfce panel that monitors a wireless LAN interface. It
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q
%autopatch -p1

%build
#to fix debug symbols build
%xdt_autogen
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/wavelan.desktop
